View Issue Details

IDProjectCategoryView StatusLast Update
0006511TalerMerchant frontends (Python3)public2020-10-03 14:09
ReporterTorsten Grothoff Assigned ToChristian Grothoff  
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006511: Frontend Python3 doesn't install lxml and doesn't have a clear enough error when it isn't found.
DescriptionExpected Results:
- If lxml isn't found, install it.
- If it still isn't found, ask the user to install it, with a message like:
"lxml cannot be found (after manual install). Please install it manually."

Current Output:
Traceback (most recent call last):
  File "./talermerchantdemos/blog/__init__.py", line 1, in <module>
    from talermerchantdemos.blog.blog import app
  File "./talermerchantdemos/blog/blog.py", line 27, in <module>
    import lxml.etree
ModuleNotFoundError: No module named 'lxml'
TagsNo tags attached.

Activities

Christian Grothoff

2020-08-23 12:18

manager   ~0016711

Possible fix in fd74c41..48aad32

Florian Dold

2020-08-24 08:51

manager   ~0016728

lxml was only required to render the QR codes, which is now done by the merchant backend and not by the demos anymore.

I've removed the stale import of lxml in d84bce8.

Issue History

Date Modified Username Field Change
2020-08-22 23:16 Torsten Grothoff New Issue
2020-08-22 23:17 Christian Grothoff Product Version => git (master)
2020-08-22 23:17 Christian Grothoff Target Version => 0.8
2020-08-23 12:18 Christian Grothoff Note Added: 0016711
2020-08-23 12:18 Christian Grothoff Assigned To => Christian Grothoff
2020-08-23 12:18 Christian Grothoff Status new => feedback
2020-08-24 08:51 Florian Dold Note Added: 0016728
2020-08-24 08:51 Florian Dold Status feedback => resolved
2020-08-24 08:51 Florian Dold Resolution open => fixed
2020-10-03 14:09 Christian Grothoff Fixed in Version => 0.8